Skip to main content
GET
/
deployments
/
{deployment_id}
/
oauth
/
apps
/
{oauth_app_slug}
/
clients
/
{oauth_client_id}
/
grants
List OAuth grants
curl --request GET \
  --url https://api.wacht.dev/deployments/{deployment_id}/oauth/apps/{oauth_app_slug}/clients/{oauth_client_id}/grants \
  --header 'Authorization: <api-key>'
{
  "grants": [
    {
      "id": "<string>",
      "api_auth_app_slug": "<string>",
      "oauth_client_id": "<string>",
      "resource": "<string>",
      "scopes": [
        "<string>"
      ],
      "status": "<string>",
      "granted_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "granted_by_user_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Path Parameters

deployment_id
string
required

Deployment ID

oauth_app_slug
string
required

OAuth app slug

oauth_client_id
string
required

OAuth client ID

Response

200 - application/json

OAuth grants

grants
object[]
required